Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Workflow Service
- Get custom operator by ID
Add a new custom operator
Get all registered custom operators
Get custom operator by ID
Returns a single custom operator based on the custom operator ID.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-workflow-service/customOperator/{customOperatorId}
curl -i -X GET \
'https://as5.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'data-partition-id: string'Returns custom operator
propertiesArray of objects(CustomOperatorProperty)
Response
{ "id": "some_id", "name": "hello_world_operator", "className": "HelloWorld", "description": "Used to print hello world", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "properties": [ { … } ] }